package com.srs.comprehensive.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.srs.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
@Data
public class CphProRank {

    private Long id;
    @Excel(name = "学号")
    private String stuNo;

    @TableField(exist = false)
    @Excel(name = "姓名")
    public String xsxm;
    private Long classId;
    private String classCode;
    @Excel(name = "班级")
    public String className;
    private Long stuYearId;
    @Excel(name = "学年")
    public  String stuYearName;
    @Excel(name = "所修课程学分")
    private BigDecimal courseCredit;
    @Excel(name = "所得学分")
    private BigDecimal totalCredit;
    @Excel(name = "总成绩")
    private BigDecimal totalScore;
    @Excel(name = "课程门数")
    private Long courseNum;
    @Excel(name = "平均分")
    private BigDecimal avgScore;
    @Excel(name = "平均学分绩")
    private BigDecimal avgCredit;
    @Excel(name = "排名")
    private Long ranking;
    @Excel(name = "不及格课程数门数")
    private Long nopass;

    /** 学院id */
    @TableField(exist = false)
    private Long deptId;

    /** 专业id */
    @TableField(exist = false)
    private Long majorId;
    
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getStuNo() {
        return stuNo;
    }

    public void setStuNo(String stuNo) {
        this.stuNo = stuNo;
    }

    public String getXsxm() {
        return xsxm;
    }

    public void setXsxm(String xsxm) {
        this.xsxm = xsxm;
    }

    public Long getClassId() {
        return classId;
    }

    public void setClassId(Long classId) {
        this.classId = classId;
    }

    public String getClassCode() {
        return classCode;
    }

    public void setClassCode(String classCode) {
        this.classCode = classCode;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public Long getStuYearId() {
        return stuYearId;
    }

    public void setStuYearId(Long stuYearId) {
        this.stuYearId = stuYearId;
    }

    public String getStuYearName() {
        return stuYearName;
    }

    public void setStuYearName(String stuYearName) {
        this.stuYearName = stuYearName;
    }

    public BigDecimal getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(BigDecimal totalScore) {
        this.totalScore = totalScore;
    }
    public BigDecimal getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(BigDecimal avgScore) {
        this.avgScore = avgScore;
    }

    public Long getRanking() {
        return ranking;
    }

    public void setRanking(Long ranking) {
        this.ranking = ranking;
    }


    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getMajorId() {
        return majorId;
    }

    public void setMajorId(Long majorId) {
        this.majorId = majorId;
    }
}